%define upstream_name    App-Deps-Verify
%define upstream_version 0.12.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An app and API to verify the presence of dependencies
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Here are some examples for YAML input files:

* * the
  https://github.com/shlomif/shlomi-fish-homepage/blob/master/bin/required-
  modules.yml manpage

* * the
  https://github.com/shlomif/perl-begin/blob/master/bin/required-modules.ym
  l manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/deps-app
%{_mandir}/man1/deps-app.1*

%changelog
* Tue Jul 21 2020 tv <tv> 0.12.0-1.mga8
+ Revision: 1607540
- update to 0.12.0

* Fri May 01 2020 tv <tv> 0.10.1-1.mga8
+ Revision: 1577326
- update to 0.10.1

* Tue Feb 18 2020 umeabot <umeabot> 0.10.0-2.mga8
+ Revision: 1541834
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1475555
- update to 0.10.0

* Thu May 30 2019 shlomif <shlomif> 0.8.3-1.mga8
+ Revision: 1399392
- New version 0.8.3

* Fri Feb 08 2019 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1364234
- update to 0.8.0

* Tue Nov 20 2018 tv <tv> 0.6.0-1.mga7
+ Revision: 1332357
- update to 0.6.0

* Fri Oct 26 2018 tv <tv> 0.4.0-1.mga7
+ Revision: 1325652
- update to 0.4.0

* Wed Oct 17 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1321434
- update to 0.2.1

* Thu Sep 20 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1281641
- Mageia 7 Mass Rebuild

* Mon Sep 17 2018 shlomif <shlomif> 0.0.1-2.mga7
+ Revision: 1259353
- bump subrel
- cpan2dist

